.image-slider {
  overflow: hidden;
  width: 100%;
  position: relative;
}

.image-track {
  display: flex;
  transition: transform 0.5s ease-in-out; /* Smooth sliding transition */
  will-change: transform;
}

.image-track img {
  max-width: 100%;
  height: auto;
  margin-right: 15px; /* Space between images */
  flex-shrink: 0;
  border-radius: 8px;
}

